Imports System.Data
Imports System.Data.OleDb
Public Class frmSQLTester
  Dim BooksConnection As OleDbConnection

  Private Sub frmSQLTester_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
    BooksConnection.Close()
    BooksConnection.Dispose()
  End Sub
  Private Sub frmSQLTester_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'connect to books database
    BooksConnection = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\VB2005DB\Working\books.mdb")
    BooksConnection.Open()
  End Sub
  Private Sub btnTest_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTest.Click
    Dim ResultsCommand As OleDbCommand = Nothing
    Dim ResultsAdapter As New OleDbDataAdapter
    Dim ResultsTable As New DataTable
    Try
      'establish command object and data adapter
      ResultsCommand = New OleDbCommand(txtSQLTester.Text, BooksConnection)
      ResultsAdapter.SelectCommand = ResultsCommand
      ResultsAdapter.Fill(ResultsTable)
      'bind grid view to data table
      grdSQLTester.DataSource = ResultsTable
      lblRecords.Text = ResultsTable.Rows.Count.ToString
    Catch ex As Exception
      MessageBox.Show(ex.Message, "Error in Processing SQL", MessageBoxButtons.OK, MessageBoxIcon.Error)
    End Try
    ResultsCommand.Dispose()
    ResultsAdapter.Dispose()
    ResultsTable.Dispose()
  End Sub

End Class
